using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kvadrat
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            long x1 = long.Parse(s[0]);
            long y1 = long.Parse(s[1]);
            s = Console.ReadLine().Split(' ');
            long x2 = long.Parse(s[0]);
            long y2 = long.Parse(s[1]);
            int b = 0;
            if (x1 == x2 || y1 == y2)
            {
                b = 2;
            }
            else
            {
                if(Math.Abs(x1-x2)==Math.Abs(y1-y2))
                {
                    b = 1;
                }
            }
            Console.WriteLine(b);
            
        }
    }
}